#!/bin/sh
#
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5630-A36, 5630-A37, 5724-D18 (C) COPYRIGHT International Business Machines Corp., 2003
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# Update Patcher

updateHome=`dirname $0`

if [ ! "$JAVA_HOME" ]
    then
        echo JAVA_HOME must be set before launching this script.
        exit -1
elif [ ! -f "$updateHome"/../installer.jar ]
    then
        echo installer.jar does not exist.  Exiting.
        exit -1               
elif [ ! -f "$updateHome"/patcher.jar ]
    then
        echo patcher.jar does not exist.  Exiting.
        exit -1               
fi

patcherClasspath="$updateHome"/patcher.jar:"$updateHome"/../installer.jar

"$JAVA_HOME"/bin/java \
    -cp "$patcherClasspath" \
    com.ibm.websphere.update.ptf.Patcher $@
